# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate parking_lot_core

Name:           rust-%{crate}
Version:        0.4.0
Release:        1%{?dist}
Summary:        Advanced API for creating custom synchronization primitives

# Upstream license specification: Apache-2.0/MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/parking_lot_core
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No Windows
# * No nightly
# * Remove deadlock feature, it depends on some unpackaged crates
Patch0:         parking_lot_core-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(libc/default) >= 0.2.27 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(rand/default) >= 0.6.0 with crate(rand/default) < 0.7.0)
BuildRequires:  (crate(rustc_version/default) >= 0.2.0 with crate(rustc_version/default) < 0.3.0)
BuildRequires:  (crate(smallvec/default) >= 0.6.0 with crate(smallvec/default) < 0.7.0)

%global _description \
An advanced API for creating custom synchronization primitives.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Dec 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-2
- Run tests in infrastructure

* Tue Sep 11 2018 Josh Stone <jistone@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-1
- Initial package
